import send_request from '../utils/send_request';

/**
 * 获取商品列表
 * @returns
 */
export function getGoodList(params) {
    return send_request({
        url: '/shop/good/manage/getGoodList',
        method: 'GET',
        params: params,
    });
};

/**
 * 添加/修改商品信息
 * @returns
 */
export function editGood(params) {
    return send_request({
        url: '/shop/good/manage/editGood',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 删除商品
 * @returns
 */
export function deleteGood(params) {
    return send_request({
        url: '/shop/good/manage/deleteGood',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 导出商品列表
 * @returns
 */
export function exportGoodList(params) {
    return send_request({
        url: '/shop/good/manage/exportGoodList',
        method: 'GET',
        params: params,
    });
};
